<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ota__typedefs" kind="group">
    <compoundname>group_ota_typedefs</compoundname>
    <title>OTA Typedefs</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__ota__typedefs_1gaa14519d9111acc0f50e9fd5307283766" kind="enum" prot="public" static="no">
        <name>cy_ota_update_flow_t</name>
        <enumvalue id="group__group__ota__typedefs_1ggaa14519d9111acc0f50e9fd5307283766aa4d7311e721aa652fb94feda759e316c" prot="public">
          <name>CY_OTA_JOB_FLOW</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>Use the Job flow to get the OTA Job document and Data. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggaa14519d9111acc0f50e9fd5307283766a55f4c6628f38214c90e8b05fd8e8db72" prot="public">
          <name>CY_OTA_DIRECT_FLOW</name>
          <briefdescription>
<para>Get the OTA Image Data Directly. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_ota_update_flow_t: </bold><linebreak />Type of OTA update flow Direct Flow: The Application knows the location of the update and directly downloads it.</para></briefdescription>
        <detaileddescription>
<para>Job Flow: The Application loads a Job document which details where the update is located. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="466" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="462" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="463" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gabc03646427dec963bef37cb5dbb550fa" kind="enum" prot="public" static="no">
        <name>cy_ota_connection_t</name>
        <enumvalue id="group__group__ota__typedefs_1ggabc03646427dec963bef37cb5dbb550faa141f64e2edc3273de1e0374dc8e681ca" prot="public">
          <name>CY_OTA_CONNECTION_UNKNOWN</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>Unknown connection type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggabc03646427dec963bef37cb5dbb550faa7955097dd62d0b81cb447d287d12bd98" prot="public">
          <name>CY_OTA_CONNECTION_MQTT</name>
          <briefdescription>
<para>Use MQTT Connection. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggabc03646427dec963bef37cb5dbb550faafb7b34f95f26234a0036b611205f904a" prot="public">
          <name>CY_OTA_CONNECTION_HTTP</name>
          <briefdescription>
<para>Use HTTP Connection. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggabc03646427dec963bef37cb5dbb550faa680a4b7838e45eff7b93f98dde4af706" prot="public">
          <name>CY_OTA_CONNECTION_HTTPS</name>
          <briefdescription>
<para>Use HTTPS Connection. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_ota_connection_t: </bold><linebreak />Connection type to use.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="476" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="470" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="471" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga6424608a6e19ecd99e52f4013354fa82" kind="enum" prot="public" static="no">
        <name>cy_ota_mqtt_session_type_t</name>
        <enumvalue id="group__group__ota__typedefs_1gga6424608a6e19ecd99e52f4013354fa82a63a3e6f75f26a0026b89674544f8c162" prot="public">
          <name>CY_OTA_MQTT_SESSION_CLEAN</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>Start a clean MQTT session with the broker. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1gga6424608a6e19ecd99e52f4013354fa82a4c63654c806aac390a44fa5708f9838a" prot="public">
          <name>CY_OTA_MQTT_SESSION_RESTART</name>
          <briefdescription>
<para>Restart an existing MQTT session with the broker. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_ota_mqtt_session_type_t: </bold><linebreak />MQTT Session clean flag.</para></briefdescription>
        <detaileddescription>
<para>This flag signals the MQTT broker to start a new session or restart an existing session </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="487" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="483" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="484" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gad852fa8cdb0431df709ccf12bb37cd60" kind="enum" prot="public" static="no">
        <name>cy_ota_cb_reason_t</name>
        <enumvalue id="group__group__ota__typedefs_1ggad852fa8cdb0431df709ccf12bb37cd60a7d2f0693d44fd480e23c7de3c2f68d10" prot="public">
          <name>CY_OTA_REASON_STATE_CHANGE</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>OTA Agent State changed, see cb_data-&gt;state. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggad852fa8cdb0431df709ccf12bb37cd60a98710a7a1d2678890cda211ab2c89689" prot="public">
          <name>CY_OTA_REASON_SUCCESS</name>
          <briefdescription>
<para>State function Succeeded. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggad852fa8cdb0431df709ccf12bb37cd60ad2bf02c326de5c6c95551123155e14bd" prot="public">
          <name>CY_OTA_REASON_FAILURE</name>
          <briefdescription>
<para>State function Failed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggad852fa8cdb0431df709ccf12bb37cd60a6f1fe12d222a4fcb6aef59d045cc40af" prot="public">
          <name>CY_OTA_LAST_REASON</name>
          <briefdescription>
<para>Placeholder, Do not use. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_ota_cb_reason_t: </bold><linebreak />Reasons OTA callbacks to Application.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="500" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="493" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="494" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gab1539ebc23219f1ca64318286e9d375f" kind="enum" prot="public" static="no">
        <name>cy_ota_agent_state_t</name>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fae28d1cd8c5a985bb343a0828c234fdd0" prot="public">
          <name>CY_OTA_STATE_NOT_INITIALIZED</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>OTA system is not initialized. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fab4dff9b84c5eafa48e4d3eaff2302ba5" prot="public">
          <name>CY_OTA_STATE_EXITING</name>
          <briefdescription>
<para>OTA system is exiting. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa4980922c9b3cf3c4e1269324d4563d78" prot="public">
          <name>CY_OTA_STATE_INITIALIZING</name>
          <briefdescription>
<para>OTA system is initializing. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375faa1a4033af52d14af2873066da8f89098" prot="public">
          <name>CY_OTA_STATE_AGENT_STARTED</name>
          <briefdescription>
<para>OTA Agent has started. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375faf2dbf8dcfb8d9329549fa539970d9e54" prot="public">
          <name>CY_OTA_STATE_AGENT_WAITING</name>
          <briefdescription>
<para>OTA Agent is waiting for timer to start. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa4b481536d237fc9672cff019e5a24392" prot="public">
          <name>CY_OTA_STATE_STORAGE_OPEN</name>
          <briefdescription>
<para>OTA Agent will call cy_storage_open. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375faf8b6a7adfb042c0b4379db005eb03fcb" prot="public">
          <name>CY_OTA_STATE_STORAGE_WRITE</name>
          <briefdescription>
<para>OTA Agent will call cy_storage_write. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa8177ec48fc37847b69d33f90a3b4333b" prot="public">
          <name>CY_OTA_STATE_STORAGE_CLOSE</name>
          <briefdescription>
<para>OTA Agent will call cy_storage_close. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fad8e99bc84c807fa17f23b119900d4c1a" prot="public">
          <name>CY_OTA_STATE_START_UPDATE</name>
          <briefdescription>
<para>OTA Agent will determine Job or Direct Flow. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fafdf0e2e6deb544bc5bdc5dec53b0609f" prot="public">
          <name>CY_OTA_STATE_JOB_CONNECT</name>
          <briefdescription>
<para>OTA Agent will connect to Job Broker / Server. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa53922a893f09e01688b27c5d225e27a5" prot="public">
          <name>CY_OTA_STATE_JOB_DOWNLOAD</name>
          <briefdescription>
<para>OTA Agent will get Job from Broker / Server. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa5f9288e902dc5473fd3e681eb2c43012" prot="public">
          <name>CY_OTA_STATE_JOB_DISCONNECT</name>
          <briefdescription>
<para>OTA Agent will disconnect from Job Broker / Server. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa1a5597cb918e3a60890c003ca2b35926" prot="public">
          <name>CY_OTA_STATE_JOB_PARSE</name>
          <briefdescription>
<para>OTA Agent will parse Job. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa7d1ad039e8599533b1bd50c4068a41da" prot="public">
          <name>CY_OTA_STATE_JOB_REDIRECT</name>
          <briefdescription>
<para>OTA Agent will use Job to change Broker / Server. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fab8c745b4b9dd7c582c1cc6735ad1401e" prot="public">
          <name>CY_OTA_STATE_DATA_CONNECT</name>
          <briefdescription>
<para>OTA Agent will connect to Data Broker / Server. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa2821523d7c323f672da8b19b45d5d935" prot="public">
          <name>CY_OTA_STATE_DATA_DOWNLOAD</name>
          <briefdescription>
<para>OTA Agent will download Data. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa1957660855d0051d85c9c6bc52bee808" prot="public">
          <name>CY_OTA_STATE_DATA_DISCONNECT</name>
          <briefdescription>
<para>OTA Agent will disconnect from Data Broker / Server. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa64f1d70db6ac1c7b6053aa72a829cfd7" prot="public">
          <name>CY_OTA_STATE_VERIFY</name>
          <briefdescription>
<para>OTA Agent will verify download. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa155daa564765a5efdb0f5e647832c25b" prot="public">
          <name>CY_OTA_STATE_RESULT_REDIRECT</name>
          <briefdescription>
<para>OTA Agent will redirect back to initial connection. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa32bb3fbef7ed0e85e1130a8f8c206ac2" prot="public">
          <name>CY_OTA_STATE_RESULT_CONNECT</name>
          <briefdescription>
<para>OTA Agent will connecting to Result Broker / Server. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa38c70df41f2fab401d96e10bc21cb395" prot="public">
          <name>CY_OTA_STATE_RESULT_SEND</name>
          <briefdescription>
<para>OTA Agent will Send Result. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa559e81062c0a2f47f03dcbffefbc7a75" prot="public">
          <name>CY_OTA_STATE_RESULT_RESPONSE</name>
          <briefdescription>
<para>OTA Agent will wait for Result response. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa7608a11942fc4b42c3487335639fd719" prot="public">
          <name>CY_OTA_STATE_RESULT_DISCONNECT</name>
          <briefdescription>
<para>OTA Agent will disconnect from Result Broker / Server. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375fa1a0a36230c7f92d5b5af2394e14fa6a1" prot="public">
          <name>CY_OTA_STATE_OTA_COMPLETE</name>
          <briefdescription>
<para>OTA Agent is done with current session, OTA Agent will reboot or OTA Agent will wait. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1ggab1539ebc23219f1ca64318286e9d375faabbd5e53bc741afd226adfd143dde572" prot="public">
          <name>CY_OTA_NUM_STATES</name>
          <briefdescription>
<para>Not used, placeholder. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_ota_agent_state_t: </bold><linebreak />OTA state.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="543" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="505" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="506" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga83280df2ca46db528cc12901d949fd63" kind="enum" prot="public" static="no">
        <name>cy_ota_callback_results_t</name>
        <enumvalue id="group__group__ota__typedefs_1gga83280df2ca46db528cc12901d949fd63a9b6b16fa9fcb36760749ced06ea21513" prot="public">
          <name>CY_OTA_CB_RSLT_OTA_CONTINUE</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>OTA Agent to continue with function, using modified data from Application. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1gga83280df2ca46db528cc12901d949fd63ab33edc4fae91e1c99f93933fc3a06bd5" prot="public">
          <name>CY_OTA_CB_RSLT_OTA_STOP</name>
          <briefdescription>
<para>OTA Agent to End current update session (do not quit OTA Agent). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1gga83280df2ca46db528cc12901d949fd63a874db6e6b0afe4654eca56b1e66fe419" prot="public">
          <name>CY_OTA_CB_RSLT_APP_SUCCESS</name>
          <briefdescription>
<para>Application completed task, OTA Agent uses success. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1gga83280df2ca46db528cc12901d949fd63acd8fc21808d384ae3609318297c3d542" prot="public">
          <name>CY_OTA_CB_RSLT_APP_FAILED</name>
          <briefdescription>
<para>Application failed task, OTA Agent uses failure. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ota__typedefs_1gga83280df2ca46db528cc12901d949fd63aa831afb765223f42c44dd9f29980bad4" prot="public">
          <name>CY_OTA_CB_NUM_RESULTS</name>
          <briefdescription>
<para>Placeholder, do not use. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_ota_callback_results_t: </bold><linebreak />Results from registered OTA Callback.</para></briefdescription>
        <detaileddescription>
<para>These are the return values from the Application to the OTA Agent at the end of a callback.</para><para>Of the callback reasons, <ref kindref="member" refid="group__group__ota__typedefs_1gad852fa8cdb0431df709ccf12bb37cd60">cy_ota_cb_reason_t</ref>, the OTA Agent only checks the Application callback return values when the reason is CY_OTA_REASON_STATE_CHANGE. The other callback reasons are informational for the Application.</para><para>When the callback reason is CY_OTA_REASON_STATE_CHANGE, the OTA Agent is about to call the function to act on the new state. The Application callback function can return a value that affects the OTA Agent.</para><para>There are a few STATE changes that will pick up changes made by the Application and use those changes. <verbatim> cb_data-&gt;reason             - Reason for the callback
 cb_data-&gt;cb_arg             - Argument provided to cy_ota_agent_start() params
 cb_data-&gt;state              - CY_OTA_REASON_STATE_CHANGE
                                 - Start of cy_ota_agent_state_t, about to call default function
                              - CY_OTA_REASON_SUCCESS
                                 - Error function succeeded
                              - CY_OTA_REASON_FAILURE
                                 - Error function failed
 cb_data-&gt;error              - Same as cy_ota_get_last_error()
 cb_data-&gt;storage            - For CY_OTA_STATE_STORAGE_WRITE callback, points to storage info
 cb_data-&gt;total_size         - Total # bytes to be downloaded
 cb_data-&gt;bytes_written      - Total # bytes written
 cb_data-&gt;percentage         - Percentage of data downloaded
 cb_data-&gt;connection_type    - Current connection - MQTT or HTTP
 cb_data-&gt;broker_server      - Current server URL and port
 cb_data-&gt;credentials        - Pointer to current credentials being used
 cb_data-&gt;mqtt_connection    - Current MQTT connection (NULL if not connected)
                                 - For CY_OTA_REASON_STATE_CHANGE
                                   - CY_OTA_STATE_JOB_CONNECT or
                                     CY_OTA_STATE_DATA_CONNECT or
                                     CY_OTA_STATE_RESULT_CONNECT
                                 - OTA Agent about to connect, if Application fills this in
                                   then the OTA Agent will use the provided connection instance
 cb_data-&gt;http_connection    - Current HTTP connection (NULL if not conencted)
                                 - For CY_OTA_REASON_STATE_CHANGE
                                   - CY_OTA_STATE_JOB_CONNECT or
                                     CY_OTA_STATE_DATA_CONNECT or
                                     CY_OTA_STATE_RESULT_CONNECT
                                 - OTA Agent about to connect, if Application fills this in
                                   then the OTA Agent will use the provided connection instance
 cb_data-&gt;file               - Filename for HTTP GET command
 cb_data-&gt;unique_topic       - Unique Topic Name to receive data from MQTT Broker / Publisher
 cb_data-&gt;json_doc           - JSON doc used for:
                                 MQTT
                                 - Send to request JOB from MQTT Broker
                                 - Received JOB from MQTT Broker
                                 - Send to request Data from MQTT Broker
                                 - Send to report Result to MQTT Broker
                                 HTTP
                                 - HTTP Get command for Job
                                 - Received JOB from HTTP Server
                                 - HTTP Get command for Data
                                 - HTTP PUT command to report Result to HTTP Server (Not implemented yet)</verbatim> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="620" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="612" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="613" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__ota__typedefs_1ga50b8b1ec191a1d5f9a8fcd3472811694" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cy_ota_context_ptr</definition>
        <argsstring />
        <name>cy_ota_context_ptr</name>
        <briefdescription>
<para>OTA Context pointer. </para>        </briefdescription>
        <detaileddescription>
<para>Returned from <ref kindref="member" refid="group__group__ota__functions_1ga84d744546862b858ddc65334be5b63c3">cy_ota_agent_start()</ref> and used for subsequent calls </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="550" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="550" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="define">
      <memberdef id="group__group__ota__typedefs_1gaa98a26ac37e321f0747f95198223e0db" kind="define" prot="public" static="no">
        <name>ADD_QUOTES</name>
        <param><defname>str</defname></param>
        <initializer>#str</initializer>
        <briefdescription>
<para>Macro combo to add quotes around a define Used to define a string value for CY_TARGET_BOARD. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="125" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="125" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaf1d5499e79b04694c57bf2970c174e00" kind="define" prot="public" static="no">
        <name>EXPAND_AND_ADD_QUOTES</name>
        <param><defname>str</defname></param>
        <initializer><ref kindref="member" refid="group__group__ota__typedefs_1gaa98a26ac37e321f0747f95198223e0db">ADD_QUOTES</ref>(str)</initializer>
        <briefdescription>
<para>Macro combo to add quotes around a define Used to define a string value for CY_TARGET_BOARD. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="130" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="130" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaa62bde5eb7581727adb8838fa28f4382" kind="define" prot="public" static="no">
        <name>CY_TARGET_BOARD_STRING</name>
        <initializer><ref kindref="member" refid="group__group__ota__typedefs_1gaf1d5499e79b04694c57bf2970c174e00">EXPAND_AND_ADD_QUOTES</ref>(CY_TARGET_BOARD)</initializer>
        <briefdescription>
<para>Macro combo to add quotes around a define Used to define a string value for CY_TARGET_BOARD. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="135" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="135" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gabf98602574aa1fdfb627d3c59f62b2ac" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_FILENAME_BUFF_SIZE</name>
        <initializer>(256)</initializer>
        <briefdescription>
<para>Size for HTTP filename to get OTA Image. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="140" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="140" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga3cd431c05dec3136ee112edb90cce01f" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_UNIQUE_TOPIC_BUFF_SIZE</name>
        <initializer>(256)</initializer>
        <briefdescription>
<para>Size for Unique MQTT Topic to get OTA Image. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="146" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="146" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaa987668674cd65e8d062f79c1486ec35" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_MESSAGE_BUFF_SIZE</name>
        <initializer>(1024)</initializer>
        <briefdescription>
<para>Size for MQTT Message to request JOB. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="151" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="151" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gad528bd1c223ff089ca1416f3530c6cd1" kind="define" prot="public" static="no">
        <name>CY_OTA_HTTP_FILENAME_SIZE</name>
        <initializer>(256)</initializer>
        <briefdescription>
<para>Size of string for HTTP filename. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="156" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="156" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga1c07f2e527b6ee3653960f93cd90092d" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_MAGIC</name>
        <initializer>"OTAImage"</initializer>
        <briefdescription>
<para>First part of the topic to subscribe / publish. </para>        </briefdescription>
        <detaileddescription>
<para>Topic for Device to send message to Publisher: "COMPANY_TOPIC_PREPEND / BOARD_NAME / PUBLISHER_LISTEN_TOPIC"</para><para>Override in cy_ota_config.h Last part of the topic to subscribe</para><para>Topic for Device to send message to Publisher: "COMPANY_TOPIC_PREPEND / BOARD_NAME / PUBLISHER_LISTEN_TOPIC"</para><para>Override in cy_ota_config.h "Magic" value placed in MQTT Data Payload header</para><para>Override in cy_ota_config.h </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="188" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="188" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga679088099bc7020dd2e19df18c507fc0" kind="define" prot="public" static="no">
        <name>NOTIFICATION_RESPONSE_NO_UPDATES</name>
        <initializer>"No Update Available"</initializer>
        <briefdescription>
<para>End of Topic to send message to Publisher for Direct download. </para>        </briefdescription>
        <detaileddescription>
<para>Override in cy_ota_config.h Publisher Response when NO Update is available </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="203" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="203" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gab2b5ce5242ba117187728ac8d136b8e2" kind="define" prot="public" static="no">
        <name>NOTIFICATION_RESPONSE_UPDATES</name>
        <initializer>"Update Available"</initializer>
        <briefdescription>
<para>Publisher Response when Update is available. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="208" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="208" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gac89bcf834e94d6fc72c60928ace94e4b" kind="define" prot="public" static="no">
        <name>NOTIFICATION_RESPONSE_RESULT_RECEIVED</name>
        <initializer>"Result Received"</initializer>
        <briefdescription>
<para>Publisher Response when receiving results. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="213" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="213" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gacc7dc593b056d4fa2eee44470959aca0" kind="define" prot="public" static="no">
        <name>CY_OTA_SUBSCRIBE_AVAIL_TOPIC</name>
        <initializer><ref kindref="member" refid="group__group__ota__typedefs_1gab3832b31bfefc10020675d714665cd0d">COMPANY_TOPIC_PREPEND</ref> "/" <ref kindref="member" refid="group__group__ota__typedefs_1gaa62bde5eb7581727adb8838fa28f4382">CY_TARGET_BOARD_STRING</ref> "/" DEVICE_LISTEN_TOPIC</initializer>
        <briefdescription>
<para>Topic to receive messages from the publisher. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="218" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="218" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga986c286579b648accf91d898722b9710" kind="define" prot="public" static="no">
        <name>SUBSCRIBER_PUBLISH_TOPIC</name>
        <initializer><ref kindref="member" refid="group__group__ota__typedefs_1gab3832b31bfefc10020675d714665cd0d">COMPANY_TOPIC_PREPEND</ref> "/" <ref kindref="member" refid="group__group__ota__typedefs_1gaa62bde5eb7581727adb8838fa28f4382">CY_TARGET_BOARD_STRING</ref> "/" <ref kindref="member" refid="group__group__ota__typedefs_1gaaa47c22f94edbcb24052a7551f6a2f36">PUBLISHER_LISTEN_TOPIC</ref></initializer>
        <briefdescription>
<para>Topic to send messages to the publisher. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="223" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="223" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga8dc51fb658999531cfe4ab9b9f554acd" kind="define" prot="public" static="no">
        <name>CY_OTA_INTERVAL_SECS_MIN</name>
        <initializer>(5)</initializer>
        <briefdescription>
<para>Minimum interval check time. </para>        </briefdescription>
        <detaileddescription>
<para>Minimum interval time for any timing specification in seconds. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="230" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="230" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gadf3e83f72f338308efd080da234a6917" kind="define" prot="public" static="no">
        <name>CY_OTA_INTERVAL_SECS_MAX</name>
        <initializer>(60 * 60 * 24 * 365)     /* one year */</initializer>
        <briefdescription>
<para>Maximum interval check time. </para>        </briefdescription>
        <detaileddescription>
<para>This applies to: Initial wait after call to <ref kindref="member" refid="group__group__ota__functions_1ga84d744546862b858ddc65334be5b63c3">cy_ota_agent_start()</ref> before contacting server. Wait value after failing or completing an OTA download. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="239" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="239" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaa9fb26f92db493c4a169204ab3ee9f08" kind="define" prot="public" static="no">
        <name>CY_OTA_MESSAGE_FIELD</name>
        <initializer>"Message"</initializer>
        <briefdescription>
<para>Message name field in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>The message field indicates the type of request / info is contained in the Job document. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="285" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="285" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga1aa69132a89d0a238f76449491ba6016" kind="define" prot="public" static="no">
        <name>CY_OTA_MANUF_FIELD</name>
        <initializer>"Manufacturer"</initializer>
        <briefdescription>
<para>Manufacturer name field in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>The Manufacturer name can be used to determine if the OTA Image available is correct. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="292" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="292" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga74d07f42ff3aae49a001029b5c57f828" kind="define" prot="public" static="no">
        <name>CY_OTA_MANUF_ID_FIELD</name>
        <initializer>"ManufacturerID"</initializer>
        <briefdescription>
<para>Manufacturer ID field in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>The Manufacturer name can be used to determine if the OTA Image available is correct. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="299" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="299" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gadbb4a18cf414bd2c6af2b39a07c80fb0" kind="define" prot="public" static="no">
        <name>CY_OTA_PRODUCT_ID_FIELD</name>
        <initializer>"ProductID"</initializer>
        <briefdescription>
<para>Product ID field in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>The Product name can be used to determine if the OTA Image available is correct. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="306" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="306" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga5ee3924c6b01b26642e777e21c764496" kind="define" prot="public" static="no">
        <name>CY_OTA_SERIAL_NUMBER_FIELD</name>
        <initializer>"SerialNumber"</initializer>
        <briefdescription>
<para>Serial Number field in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>The Serial Number can be used to determine if the OTA Image available is correct. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="313" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="313" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga041386d443aeabb6bbd6643c68f96adc" kind="define" prot="public" static="no">
        <name>CY_OTA_VERSION_FIELD</name>
        <initializer>"Version"</initializer>
        <briefdescription>
<para>Version field in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>The Version can be used to determine if the OTA Image available is an upgrade (ex: "1.6.3"). </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="320" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="320" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga75ddb6eca343477fecd15d4dcd0c70de" kind="define" prot="public" static="no">
        <name>CY_OTA_BOARD_FIELD</name>
        <initializer>"Board"</initializer>
        <briefdescription>
<para>Board field in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>The Board can be used to determine if the OTA Image available is correct. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="327" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="327" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga7b427794d6dfe4dafb8c867afa550c6a" kind="define" prot="public" static="no">
        <name>CY_OTA_CONNECTION_FIELD</name>
        <initializer>"Connection"</initializer>
        <briefdescription>
<para>Connection field in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>The Connection defines the connection type to use to obtain the OTA Image ("HTTP" or "MQTT"). </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="334" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="334" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaeab0ff9a34f36cd59721a274a2f02492" kind="define" prot="public" static="no">
        <name>CY_OTA_BROKER_FIELD</name>
        <initializer>"Broker"</initializer>
        <briefdescription>
<para>Broker field for MQTT Connection in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>The MQTT is the MQTT Broker used to obtain the OTA Image. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="341" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="341" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gae6e7c8b2d26b0245a01a5f9e515a8910" kind="define" prot="public" static="no">
        <name>CY_OTA_PORT_FIELD</name>
        <initializer>"Port"</initializer>
        <briefdescription>
<para>Port field in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>The Port is used for HTTP or MQTT Connection to obtain the OTA Image. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="348" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="348" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga86edcb103b12c0886fa5ddaab9efa6eb" kind="define" prot="public" static="no">
        <name>CY_OTA_SERVER_FIELD</name>
        <initializer>"Server"</initializer>
        <briefdescription>
<para>Server field is for HTTP Connection in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>The Server is the HTTP server used to obtain the OTA Image. See also <ref kindref="member" refid="group__group__ota__typedefs_1gae6e7c8b2d26b0245a01a5f9e515a8910">CY_OTA_PORT_FIELD</ref> <ref kindref="member" refid="group__group__ota__typedefs_1ga4590a9321e1312bff6010b2aebd8c4a9">CY_OTA_FILE_FIELD</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="355" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="355" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga4590a9321e1312bff6010b2aebd8c4a9" kind="define" prot="public" static="no">
        <name>CY_OTA_FILE_FIELD</name>
        <initializer>"File"</initializer>
        <briefdescription>
<para>File field is for HTTP Connection in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>The File is the name of the OTA Image on the HTTP server. See also <ref kindref="member" refid="group__group__ota__typedefs_1gae6e7c8b2d26b0245a01a5f9e515a8910">CY_OTA_PORT_FIELD</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="362" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="362" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaedeb636239077a65833fc15c35cced00" kind="define" prot="public" static="no">
        <name>CY_OTA_UNIQUE_TOPIC_FIELD</name>
        <initializer>"UniqueTopicName"</initializer>
        <briefdescription>
<para>Unique Topic field is the name of the topic used for receipt of job/data from the Publisher. </para>        </briefdescription>
        <detaileddescription>
<para>The Unique Topic Name used for receipt of job / data from Publisher </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="369" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="369" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga039e8c4e1bf2b1e61ff054b1a10bd896" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_STRING</name>
        <initializer>"MQTT"</initializer>
        <briefdescription>
<para>MQTT Connection Type used in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>We test for this string in a JSON Job Document for MQTT type Connection. <ref kindref="member" refid="group__group__ota__typedefs_1ga7b427794d6dfe4dafb8c867afa550c6a">CY_OTA_CONNECTION_FIELD</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="376" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="376" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaca09f1bb148c6b924e508ebf4c62a67b" kind="define" prot="public" static="no">
        <name>CY_OTA_HTTP_STRING</name>
        <initializer>"HTTP"</initializer>
        <briefdescription>
<para>HTTP Connection Type used in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>We test for this string in a JSON Job Document for HTTP type Connection. <ref kindref="member" refid="group__group__ota__typedefs_1ga7b427794d6dfe4dafb8c867afa550c6a">CY_OTA_CONNECTION_FIELD</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="382" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="382" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga2b765d95dd0c6557767c2cdee4eecb1e" kind="define" prot="public" static="no">
        <name>CY_OTA_HTTPS_STRING</name>
        <initializer>"HTTPS"</initializer>
        <briefdescription>
<para>HTTPS Connection Type used in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>We test for this string in a JSON Job Document for HTTPS type Connection. <ref kindref="member" refid="group__group__ota__typedefs_1ga7b427794d6dfe4dafb8c867afa550c6a">CY_OTA_CONNECTION_FIELD</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="388" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="388" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gafeabf7547c3bf41d6eac5c0418460d5f" kind="define" prot="public" static="no">
        <name>CY_OTA_MESSAGE_LEN</name>
        <initializer>(32)</initializer>
        <briefdescription>
<para>Max length of "Message" field in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="393" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="393" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga8a9f71090af6fb179057c25768989188" kind="define" prot="public" static="no">
        <name>CY_OTA_JOB_MANUF_LEN</name>
        <initializer>(64)</initializer>
        <briefdescription>
<para>Max length of "Manufacturer" field in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="398" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="398" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gad779217a01c618b3b2a4850b948af694" kind="define" prot="public" static="no">
        <name>CY_OTA_JOB_MANUF_ID_LEN</name>
        <initializer>(16)</initializer>
        <briefdescription>
<para>Max length of "ManufacturerID" field in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="403" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="403" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga13aa56e1811d8af9cf693e613658859c" kind="define" prot="public" static="no">
        <name>CY_OTA_JOB_PRODUCT_ID_LEN</name>
        <initializer>(64)</initializer>
        <briefdescription>
<para>Max length of "ProductID" field in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="408" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="408" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga0dcb09fc965d0229169fbb92805eac1c" kind="define" prot="public" static="no">
        <name>CY_OTA_JOB_SERIAL_NUMBER_LEN</name>
        <initializer>(32)</initializer>
        <briefdescription>
<para>Max length of "SerialNumber" field in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="413" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="413" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gab1f5c6dc00a067408c323e98c04b051a" kind="define" prot="public" static="no">
        <name>CY_OTA_JOB_VERSION_LEN</name>
        <initializer>(16)</initializer>
        <briefdescription>
<para>Max length of "Version" field in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="418" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="418" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gade68cd450f8e703a3b76f41ff71660da" kind="define" prot="public" static="no">
        <name>CY_OTA_JOB_BOARD_LEN</name>
        <initializer>(32)</initializer>
        <briefdescription>
<para>Max length of "Board" field in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="423" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="423" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga11742662e966c045f986746b17ed9e43" kind="define" prot="public" static="no">
        <name>CY_OTA_JOB_URL_BROKER_LEN</name>
        <initializer>(256)</initializer>
        <briefdescription>
<para>Max length of "Broker" and "Server" fields in a JSON Job Document. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="428" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="428" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gad807b28a374507cfa1c43ce09baac07d" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_BROKER_PORT</name>
        <initializer>(1883)</initializer>
        <briefdescription>
<para>MQTT Broker Port for non-TLS connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="433" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="433" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga68b62710186e7c226662747716f47134" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_BROKER_PORT_TLS</name>
        <initializer>(8883)</initializer>
        <briefdescription>
<para>MQTT Broker Port for TLS connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="438" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="438" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gae1abbd901985d3c62f9ab3ac4ba9e735" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_BROKER_PORT_TLS_CERT</name>
        <initializer>(8884)</initializer>
        <briefdescription>
<para>MQTT Broker Port for TLS connection with certificates. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="443" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="443" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaf8d169b0a2f22b1f638bee800d66967c" kind="define" prot="public" static="no">
        <name>CY_OTA_HTTP_SERVER_PORT</name>
        <initializer>(80)</initializer>
        <briefdescription>
<para>HTTP connection port for non-TLS connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="449" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="449" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga454f3e795c36d44efd7e4a9fac916dd3" kind="define" prot="public" static="no">
        <name>CY_OTA_HTTP_SERVER_PORT_TLS</name>
        <initializer>(443)</initializer>
        <briefdescription>
<para>HTTP connection port for TLS connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="454" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="454" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gab585a7541d7bb222fbff7719555f68b0" kind="define" prot="public" static="no">
        <name>CY_OTA_INITIAL_CHECK_SECS</name>
        <initializer>(60)           /* 60 seconds */</initializer>
        <briefdescription>
<para>Initial OTA check. </para>        </briefdescription>
        <detaileddescription>
<para>Time from when cy_ota_start() is called to when the OTA Agent first checks for an update. You can over-ride this define in cy_ota_config.h</para><para>Minimum value is CY_OTA_INTERVAL_SECS_MIN. Maximum value is CY_OTA_INTERVAL_SECS_MAX. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="45" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="45" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga9c17fd8b3a98ec9f3f21ba475418227a" kind="define" prot="public" static="no">
        <name>CY_OTA_NEXT_CHECK_INTERVAL_SECS</name>
        <initializer>(60 * 60 * 24) /* once per day */</initializer>
        <briefdescription>
<para>Next OTA check. </para>        </briefdescription>
        <detaileddescription>
<para>Time from when after OTA Agent completes or fails an update until the next check. You can over-ride this define in cy_ota_config.h</para><para>Minimum value is CY_OTA_INTERVAL_SECS_MIN. Maximum value is CY_OTA_INTERVAL_SECS_MAX. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="58" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="58" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga5f7048d0e07022decfaa5cd9afcfa2d1" kind="define" prot="public" static="no">
        <name>CY_OTA_RETRY_INTERVAL_SECS</name>
        <initializer>(5)            /* 5 seconds */</initializer>
        <briefdescription>
<para>Retry Interval. </para>        </briefdescription>
        <detaileddescription>
<para>Time between failures for connection before we re-try. You can over-ride this define in cy_ota_config.h Minimum value is CY_OTA_INTERVAL_SECS_MIN. Maximum value is CY_OTA_INTERVAL_SECS_MAX. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="70" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="70" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga857fb18dbbc8e462f9eefa30d57afefb" kind="define" prot="public" static="no">
        <name>CY_OTA_CHECK_TIME_SECS</name>
        <initializer>(10 * 60)       /* 10 minutes */</initializer>
        <briefdescription>
<para>Length of time to check for downloads. </para>        </briefdescription>
        <detaileddescription>
<para>OTA Agent wakes up, connects to server, and waits this much time before disconnecting. This allows the OTA Agent to be inactive for long periods of time, only checking for short periods. Use 0x00 to continue checking once started. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="81" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="81" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga28238863ca54b663f9faea4823253a42" kind="define" prot="public" static="no">
        <name>CY_OTA_PACKET_INTERVAL_SECS</name>
        <initializer>(60)           /* 1 minute */</initializer>
        <briefdescription>
<para>Expected maximum download time between each OTA packet arrival. </para>        </briefdescription>
        <detaileddescription>
<para>This is used check that the download occurs in a reasonable time frame. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="90" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="90" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga5ac589095a8184084fc8ee3cf86f6d3f" kind="define" prot="public" static="no">
        <name>CY_OTA_JOB_CHECK_TIME_SECS</name>
        <initializer>(30)          /* 30 seconds */</initializer>
        <briefdescription>
<para>Length of time to check for getting Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>OTA Agent wakes up, connects to broker/server, and waits this much time before disconnecting. This allows the OTA Agent to be inactive for long periods of time, only checking for short periods. Use 0x00 to continue checking once started. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="101" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="101" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gac601cbb956da2706d87a25219fd38b3d" kind="define" prot="public" static="no">
        <name>CY_OTA_DATA_CHECK_TIME_SECS</name>
        <initializer>(5 * 60)      /* 5 minutes */</initializer>
        <briefdescription>
<para>Length of time to check for getting OTA Image data. </para>        </briefdescription>
        <detaileddescription>
<para>After getting the Job (or during a Direct download), this is the amount of time we wait before deciding we are not going to get the download. Use 0x00 to disable. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="112" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="112" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gad937d8f959bccec87b87f11a9315ae3a" kind="define" prot="public" static="no">
        <name>CY_OTA_RETRIES</name>
        <initializer>(5)        /* 5 overall OTA retries */</initializer>
        <briefdescription>
<para>Length of time to check for OTA Image downloads. </para>        </briefdescription>
        <detaileddescription>
<para>OTA Agent wakes up, connects to server, and waits this much time before disconnecting. This allows the OTA Agent to be inactive for long periods of time, only checking for short periods. Use 0x00 to continue checking once started. Number of OTA session retries</para><para>Retry count for overall OTA session attempts </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="132" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="132" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaf05c3cff9a4bcdf5d63e5f5d0962f25a" kind="define" prot="public" static="no">
        <name>CY_OTA_CONNECT_RETRIES</name>
        <initializer>(3)        /* 3 server connect retries  */</initializer>
        <briefdescription>
<para>Number of OTA Connect to Server/Broker retries. </para>        </briefdescription>
        <detaileddescription>
<para>Retry count for connection attempts </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="141" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="141" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga63713f2122581c2bee97ebd3dbf1815c" kind="define" prot="public" static="no">
        <name>CY_OTA_MAX_DOWNLOAD_TRIES</name>
        <initializer>(3)         /* 3 download OTA Image retries */</initializer>
        <briefdescription>
<para>Number of OTA download retries. </para>        </briefdescription>
        <detaileddescription>
<para>Retry count for attempts at downloading the OTA Image </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="150" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="150" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaaa47c22f94edbcb24052a7551f6a2f36" kind="define" prot="public" static="no">
        <name>PUBLISHER_LISTEN_TOPIC</name>
        <initializer>"publish_notify"</initializer>
        <briefdescription>
<para>Last part of the topic to subscribe. </para>        </briefdescription>
        <detaileddescription>
<para>Topic for Device to send message to Publisher: "COMPANY_TOPIC_PREPEND / BOARD_NAME / PUBLISHER_LISTEN_TOPIC" The combined topic needs to match the Publisher's subscribe topic</para><para>Override in cy_ota_config.h </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="169" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="169" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gab3832b31bfefc10020675d714665cd0d" kind="define" prot="public" static="no">
        <name>COMPANY_TOPIC_PREPEND</name>
        <initializer>"anycloud"</initializer>
        <briefdescription>
<para>First part of the topic to subscribe / publish. </para>        </briefdescription>
        <detaileddescription>
<para>Topic for Device to send message to Publisher: "COMPANY_TOPIC_PREPEND / BOARD_NAME / PUBLISHER_LISTEN_TOPIC"</para><para>Override in cy_ota_config.h </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="181" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="181" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga1a071cfd0e7d56ca360196cdc8af9356" kind="define" prot="public" static="no">
        <name>PUBLISHER_DIRECT_TOPIC</name>
        <initializer>"OTAImage"</initializer>
        <briefdescription>
<para>End of Topic to send message to Publisher for Direct download. </para>        </briefdescription>
        <detaileddescription>
<para>Override in cy_ota_config.h </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="190" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="190" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga6a15cee55ef70fdacd2575f7742a1fa9" kind="define" prot="public" static="no">
        <name>CY_OTA_RESULT_SUCCESS</name>
        <initializer>"Success"</initializer>
        <briefdescription>
<para>Update Successful message. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create RESULT message to Broker / Server </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="199" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="199" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaeafc16eeca288eb87fe3183343c9ec0d" kind="define" prot="public" static="no">
        <name>CY_OTA_RESULT_FAILURE</name>
        <initializer>"Failure"</initializer>
        <briefdescription>
<para>Update Failure message. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create RESULT message to Broker / Server </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="208" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="208" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga0e99cf1a339baebf4f71fe536b2967ea" kind="define" prot="public" static="no">
        <name>CY_OTA_SUBSCRIBE_UPDATES_AVAIL</name>
        <initializer>"{\\"Message\":\"Update Availability\", \\"Manufacturer\": \"Express Widgits Corporation\", \\"ManufacturerID\": \"EWCO\", \\"ProductID\": \"Easy Widgit\", \\"SerialNumber\": \"ABC213450001\", \\"BoardName\": \"CY8CPROTO_062_4343W\", \\"Version\": \"%d.%d.%d\", \\"UniqueTopicName\": \"%s\"\}"</initializer>
        <briefdescription>
<para>Device message to Publisher to ask about updates Used with sprintf() to insert the current version and UniqueTopicName at runtime. </para>        </briefdescription>
        <detaileddescription>
<para>Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="217" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="226" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga66bd4606bfc0f6e85c2172603f9c62a0" kind="define" prot="public" static="no">
        <name>CY_OTA_DOWNLOAD_REQUEST</name>
        <initializer>"{\\"Message\":\"Request Update\", \\"Manufacturer\": \"Express Widgits Corporation\", \\"ManufacturerID\": \"EWCO\", \\"ProductID\": \"Easy Widgit\", \\"SerialNumber\": \"ABC213450001\", \\"BoardName\": \"CY8CPROTO_062_4343W\", \\"Version\": \"%d.%d.%d\", \\"UniqueTopicName\": \"%s\"\}"</initializer>
        <briefdescription>
<para>Device message to Publisher to ask for a download<itemizedlist>
<listitem><para>Used with sprintf() to insert the current version and UniqueTopicName at runtime. </para></listitem></itemizedlist>
</para>        </briefdescription>
        <detaileddescription>
<para>Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="237" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="246" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga2d88b9b738dc724e8fb29883e04dcc23" kind="define" prot="public" static="no">
        <name>CY_OTA_DOWNLOAD_DIRECT_REQUEST</name>
        <initializer>"{\\"Message\":\"Send Direct Update\", \\"Manufacturer\": \"Express Widgits Corporation\", \\"ManufacturerID\": \"EWCO\", \\"ProductID\": \"Easy Widgit\", \\"SerialNumber\": \"ABC213450001\", \\"BoardName\": \"CY8CPROTO_062_4343W\", \\"Version\": \"%d.%d.%d\" \}"</initializer>
        <briefdescription>
<para>Device message to Publisher to ask for a download<itemizedlist>
<listitem><para>Used with sprintf() to insert the current version and UniqueTopicName at runtime. </para></listitem></itemizedlist>
</para>        </briefdescription>
        <detaileddescription>
<para>Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="257" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="265" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga1eace95e0ec47d50df1e2810f4751173" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_RESULT_JSON</name>
        <initializer>"{\\"Message\":\"%s\", \\"UniqueTopicName\": \"%s\"\}"</initializer>
        <briefdescription>
<para>Device JSON doc to respond to MQTT Publisher. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create the JSON message Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="276" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="279" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaa642af38818fce01f3a9c6960bc6d64d" kind="define" prot="public" static="no">
        <name>CY_OTA_HTTP_RESULT_JSON</name>
        <initializer>"{\\"Message\":\"%s\", \\"File\":\"%s\" \}"</initializer>
        <briefdescription>
<para>Device JSON doc to respond to HTTP Server. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create the JSON message Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="290" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="293" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gabdddb494aa853699bec01c254bd307dd" kind="define" prot="public" static="no">
        <name>CY_OTA_HTTP_GET_TEMPLATE</name>
        <initializer>"GET %s HTTP/1.1\r\n" \
    "Host: %s:%d \r\n" \
    "\r\n"</initializer>
        <briefdescription>
<para>HTTP GET template. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create the GET request for HTTP server Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="304" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="304" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gac14bf9939b2bd5d0b62817a87b4b30fa" kind="define" prot="public" static="no">
        <name>CY_OTA_HTTP_POST_TEMPLATE</name>
        <initializer>"POST %s HTTP/1.1\r\n" \
    "Content-Length:%ld \r\n" \
    "\r\n%s"</initializer>
        <briefdescription>
<para>HTTP POST template. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create the POST message for HTTP server Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="317" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="317" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga448aa081432d624219ebedc2f28f5841" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_KEEP_ALIVE_SECONDS</name>
        <initializer>(60)                /* 60 second keep-alive */</initializer>
        <briefdescription>
<para>The keep-alive interval for MQTT. </para>        </briefdescription>
        <detaileddescription>
<para>Maximum number of MQTT Topics</para><para>An MQTT ping request will be sent periodically at this interval. The maximum number of Topics for subscribing. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="337" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="337" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga3b4d0aa969fb1ec3adefbaec643f78d2" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_MAX_TOPICS</name>
        <initializer>(2)</initializer>
        <briefdescription>
<para>Maximum number of MQTT Topics. </para>        </briefdescription>
        <detaileddescription>
<para>The maximum number of Topics for subscribing. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="346" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="346" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaacf195683127ce1df77b07cf017990a4" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_TOPIC_PREFIX</name>
        <initializer>"cy_ota_device"</initializer>
        <briefdescription>
<para>TOPIC prefix. </para>        </briefdescription>
        <detaileddescription>
<para>Used as prefix for "Will" and "Acknowledgement" Messages </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="355" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="355" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga44b8c2bc6f4bb63c80b2939969cdb2ff" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_CLIENT_ID_PREFIX</name>
        <initializer>"cy_device"</initializer>
        <briefdescription>
<para>The first characters in the client identifier. </para>        </briefdescription>
        <detaileddescription>
<para>A timestamp is appended to this prefix to create a unique client identifer for each connection. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="365" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="365" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Typedefs used by the OTA Agent. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>